program testowa;

uses
  Forms,
  Windows,
  Unit1 in 'Unit1.pas' {Form1};

{$R *.res}

begin
  //sprawdzenie czy aplikacja jest juz uruchomiona
  CreateMutex(nil, false,'testowa');
  if GetLastError>0 then
  begin
    if MessageBox(0,'Aplikacja testowa.exe jest uruchomiona'+#13+
      'Czy uruchomić ją ponownie?','UWAGA!',MB_YesNo)=IdOK then Halt;//lub MB_OK jesli tylko chcemy sprawdzić
  end
  else
  begin
    Application.Initialize;
    Application.CreateForm(TForm1, Form1);
    Application.Run;
  end;  
end.
